Use this function to determine the library and version of a vegaspec.

vw_spec_version(spec)

Arguments

spec

An object to be coerced to vegaspec, a Vega/Vega-Lite specification

Value

list with elements library, version

Details

Returns a list with two elements:

library

character, either "vega" or "vega_lite"

version

character, version tag

Examples

vw_spec_version(spec_mtcars)
#> $library #> [1] "vega_lite" #> #> $version #> [1] "4" #>
if (FALSE) { # requires nodejs to be installed vw_spec_version(vw_to_vega(spec_mtcars)) }